<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
  <div class="container">
    <a class="navbar-brand" href="/">
        <img src="/images/ARM1828_SOAFEE_White_ST2.svg" width="120" height="30" alt="SOAFEE Logo">
    </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        {{ $currentPage := . }}
        {{ range .Site.Menus.main }}

          {{ if .HasChildren }}

          {{ $dropdownId := printf "navbarDD%s" .Identifier }}

          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="{{$dropdownId}}" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              {{ .Name }}
            </a>

          <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="{{$dropdownId}}">
            {{ range .Children }}
              {{ partial "menu_item"
                (dict "ctx" . "currentPage" $currentPage "class" "dropdown-item")
              }}
          {{ end }}
        </ul>

          {{ else }}
            {{ partial "menu_item"
              (dict "ctx" . "currentPage" $currentPage "class" "nav-item")
            }}
          {{ end }}
        {{ end }}
      </ul>
    </div>
  </div>
</nav>